# Interface ScriptInterface

All Known Implementing Classes:
  `JSpecView, JSVApp, JSVAppPro`

public interface ScriptInterface

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSigned()`
`void`
`repaint()`
`void`
`runScript(String script)`
`boolean`
`runScriptNow(String script)`
`void`
`setCursor(int id)`
`void`
`siCheckCallbacks(String title)`
`void`
`siExecHidden(boolean b)`
`void`
`siExecScriptComplete(String msg, boolean isOK)`
`void`
`siExecSetCallback(ScriptToken st, String value)`
`void`
`siExecTest(String value)`
`JSVPanel`
`siGetNewJSVPanel(Spectrum spec)`
`JSVPanel`
`siGetNewJSVPanel2(Lst<Spectrum> specs)`
`String`
`siLoaded(String value)`
`void`
`siNewWindow(boolean isSelected, boolean fromFrame)`
`void`
`siNodeSet(PanelNode node)`
`void`
`siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)`
`void`
`siProcessCommand(String script)`
`void`
`siSendPanelChange()`
`void`
`siSetCurrentSource(JDXSource source)`
`void`
`siSetLoaded(String fileName, String filePath)`
`void`
`siSetMenuEnables(PanelNode node, boolean isSplit)`
`void`
`siSetPropertiesFromPreferences(JSVPanel jsvp, boolean b)`
`void`
`siSetSelectedPanel(JSVPanel jsvp)`
`void`
`siSourceClosed(JDXSource source)`
`void`
`siSyncLoad(String fileName)`
`void`
`siUpdateBoolean(ScriptToken st, boolean TF)`
`void`
`siUpdateRecentMenus(String filePath)`
`void`
`siValidateAndRepaint(boolean isAll)`
`void`
`syncToJmol(String value)`
`void`
`writeStatus(String msg)`

## Method Details

### repaint

void repaint()

### setCursor

void setCursor(int id)

### isSigned

boolean isSigned()

### runScript

void runScript(String script)

### runScriptNow

boolean runScriptNow(String script)

### syncToJmol

void syncToJmol(String value)

### writeStatus

void writeStatus(String msg)

### siCheckCallbacks

void siCheckCallbacks(String title)

### siSourceClosed

void siSourceClosed(JDXSource source)

### siExecHidden

void siExecHidden(boolean b)

### siLoaded

String siLoaded(String value)

### siExecScriptComplete

void siExecScriptComplete(String msg, boolean isOK)

### siExecSetCallback

void siExecSetCallback(ScriptToken st, String value)

### siExecTest

void siExecTest(String value)

### siGetNewJSVPanel

JSVPanel siGetNewJSVPanel(Spectrum spec)

### siGetNewJSVPanel2

JSVPanel siGetNewJSVPanel2(Lst<Spectrum> specs)

### siOpenDataOrFile

void siOpenDataOrFile(Object data, String name, Lst<Spectrum> specs, String url, int firstSpec, int lastSpec, boolean isAppend, String script, String id)

### siProcessCommand

void siProcessCommand(String script)

### siSendPanelChange

void siSendPanelChange()

### siSetCurrentSource

void siSetCurrentSource(JDXSource source)

### siSetLoaded

void siSetLoaded(String fileName, String filePath)

### siSetMenuEnables

void siSetMenuEnables(PanelNode node, boolean isSplit)

### siNodeSet

void siNodeSet(PanelNode node)

### siSetPropertiesFromPreferences

void siSetPropertiesFromPreferences(JSVPanel jsvp, boolean b)

### siSetSelectedPanel

void siSetSelectedPanel(JSVPanel jsvp)

### siSyncLoad

void siSyncLoad(String fileName)

### siUpdateBoolean

void siUpdateBoolean(ScriptToken st, boolean TF)

### siUpdateRecentMenus

void siUpdateRecentMenus(String filePath)

### siValidateAndRepaint

void siValidateAndRepaint(boolean isAll)

### siNewWindow

void siNewWindow(boolean isSelected, boolean fromFrame)